T989D Firmware not recognized in Kies

  • 2
  • Question
  • Updated 5 years ago
  • Answered
I'm having problems updating. I have the T989D Koodo. I have
Android 4.0.4
Baseband: T989DTLLG2
Kernal: 3.0.8-perf-T989DTLLG2-CL836160 se.infra@SEP-89 #1 SMP PREEMPT Fri Jul 13 23:39:44 KST 2012
Build: IMM76D.TLLG2

I also have the latest Kies, as of today (13/05/13).

In Kies my phone's firmware version is not showing up at all, just a blank, and i can not find anything to fix it. I tried *#7284#, UART set at Modem, USB set at PDA. I re-installed Kies fully more than once. I want to update my android to 4.1.2.. Any help would be appreciated on how to make the firmware show up.

Thank you
Photo of Adrian Juhasz

Adrian Juhasz

  • 100 Points 100 badge 2x thumb

Posted 5 years ago

  • 2
Photo of MatB

MatB

  • 32,478 Points 20k badge 2x thumb
Hi Adrian !

There were 20 posts on previous similar post http://community.koodomobile.com/kood...
Photo of Adrian Juhasz

Adrian Juhasz

  • 100 Points 100 badge 2x thumb
None of that helps me. I went threw it a few times before I posted. My problem is different and i can not find anything on the internet. My phone is recognized by the computer and it shows up in Kies. But when it's connected the Current Firmware does not appear, it is just a blank. I does not say i have 4.0.4 . currently on it so there is no way for me to prompt for an update. Nothing appears under any firmware option. On the other hand is it possible for me to take it to koodo so they do my update to 4.1.2?
Photo of rikkster

rikkster, Mobile Master

  • 68,228 Points 50k badge 2x thumb
Flash the firmware via Odin, obtain the firmware from SamMobile - there are a number of tutorials on how to flash firmware onto your S2x/T989D. Enter SGH-T989D in the "Search device here" box to the right of the page. You will have to register with SamMobile first.

http://www.sammobile.com/firmwares/

Get Odin here: Version 1.85

http://forum.xda-developers.com/attac......

If that doesn't work, try version 3.07

http://forum.xda-developers.com/showt...
Photo of Rob MacKay

Rob MacKay

  • 252 Points 250 badge 2x thumb
Apparently the Jelly Bean upgrade for the T989DTLLG2 Baseband hasn't been released yet.
Photo of rikkster

rikkster, Mobile Master

  • 68,228 Points 50k badge 2x thumb
T989DTLLG2 is for ICS version 4.0.4, you want PDA version T989DTLUMC4, which is 4.1.2 JellyBean. I'm experimenting with reverting back to the stock ICS radio (running JB 4.2.1) so that I can regain mmi/ussd functionality.

Stock ICS Koodo Radio

http://forum.xda-developers.com/showt...

Stock ICS Telus radio - click black/white d/l button

http://api.viglink.com/api/click?form...

This conversation is no longer open for comments or replies.